| Cantera 3.0.0

Loading...
Searching...
No Matches
Functions
Helper Functions
Numerical Utilities » Functor Objects

Helper functions detect simplifications that can be made to compound expressions. More...

Collaboration diagram for Helper Functions:

## Detailed Description

Helper functions detect simplifications that can be made to compound expressions.

## Functions
shared_ptr< Func1 > | newSumFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Sum of two functions.
shared_ptr< Func1 > | newDiffFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Difference of two functions.
shared_ptr< Func1 > | newProdFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Product of two functions.
shared_ptr< Func1 > | newRatioFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Ratio of two functions.
shared_ptr< Func1 > | newCompositeFunction (shared_ptr< Func1 > f1, shared_ptr< Func1 > f2)
| Composite of two functions.
shared_ptr< Func1 > | newTimesConstFunction (shared_ptr< Func1 > f1, double c)
| Product of function and constant.
shared_ptr< Func1 > | newPlusConstFunction (shared_ptr< Func1 > f1, double c)
| Sum of function and constant.

## Function Documentation

## ◆ newSumFunction()

shared_ptr< Func1 > newSumFunction | ( | shared_ptr< Func1 > | f1,
|  | shared_ptr< Func1 > | f2
| ) |  |

Sum of two functions.

Definition at line 1000 of file Func1.cpp.

## ◆ newDiffFunction()

shared_ptr< Func1 > newDiffFunction | ( | shared_ptr< Func1 > | f1,
|  | shared_ptr< Func1 > | f2
| ) |  |

Difference of two functions.

Definition at line 1046 of file Func1.cpp.

## ◆ newProdFunction()

shared_ptr< Func1 > newProdFunction | ( | shared_ptr< Func1 > | f1,
|  | shared_ptr< Func1 > | f2
| ) |  |

Product of two functions.

Definition at line 1150 of file Func1.cpp.

## ◆ newRatioFunction()

shared_ptr< Func1 > newRatioFunction | ( | shared_ptr< Func1 > | f1,
|  | shared_ptr< Func1 > | f2
| ) |  |

Ratio of two functions.

Definition at line 1228 of file Func1.cpp.

## ◆ newCompositeFunction()

shared_ptr< Func1 > newCompositeFunction | ( | shared_ptr< Func1 > | f1,
|  | shared_ptr< Func1 > | f2
| ) |  |

Composite of two functions.

Definition at line 1280 of file Func1.cpp.

## ◆ newTimesConstFunction()

shared_ptr< Func1 > newTimesConstFunction | ( | shared_ptr< Func1 > | f,
|  | double | c
| ) |  |

Product of function and constant.

Definition at line 1319 of file Func1.cpp.

## ◆ newPlusConstFunction()

shared_ptr< Func1 > newPlusConstFunction | ( | shared_ptr< Func1 > | f,
|  | double | c
| ) |  |

Sum of function and constant.

Definition at line 1353 of file Func1.cpp.